"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class CSSPlugin {
    constructor() {
        this.name = 'css';
        this.EXT_REGEX = /\.css$/i;
        this.TYPE_REGEX = /^(css|postcss)$/i;
    }
    testBlock(type, srcOrLang) {
        return type === 'style' &&
            (srcOrLang === undefined || this.EXT_REGEX.test(srcOrLang) || this.TYPE_REGEX.test(srcOrLang));
    }
    processBlock(block, api) {
        return __awaiter(this, void 0, void 0, function* () {
            api.addBlock('style', block.attrs, block.content);
        });
    }
}
exports.default = CSSPlugin;
